# Connect Bot the Exchange: keysEXCHANGE.json

## All you need to know about API Keys

API Keys are the most secure way to connect trading bots to exchanges. In our case to securely connect the crypto bots to Binance, KuCoin, Gate.io, Bybit and more. You control them and the permissions what an application can do with your account.

### What are API Keys?

An application programming interface (API) key is a code used to identify and authenticate an application or user. API keys are available through platforms, such as a cryptocurrency exchange.

### Why do we need API Keys for trading bots?

Through the API Keys the bot communicates with your Exchange account and is able to check your balance, place orders, cancel orders and so on. This is needed to establish a secure and encrypted connection. Hence we will never ask for any login info like e-mail or passwords. Never.&#x20;

### What permissions are needed?

For our crypto trading bots we only need the permissions to "read and write" (they have different names for every cryptocurrency exchange - see below). You will never need to give permissions to withdraw funds from the exchange! Never!&#x20;

This way your funds are save and can't be transfered somewhere else. When you use our crypto bots you also store those keys on your Computer or VPS. Hence we don't have store them or see them which gives additional protection to the system. As you are the one that controls permissions and the tool and no one else has even access to your API Keys.

{% hint style="success" %}
Never give permissions to withdraw funds from a cryptocurrency exchange! Save connection via API Keys stored on your device!
{% endhint %}

### How to get the API Keys for the Bot?

If you do not have any API keys yet, you can find out how to create them below. Set the right permissions and dont use the IP whiteliste.

### Edit the keys.json

In the picture below you can see the input of the API keys. Simply copy your API keys into the keysEXCHANGE.json and save them. Put your keys between the quotation marks.

#### In the following picture you can see what the file looks like.

{% tabs %}
{% tab title="keysBinance.json" %}

```
{
    "apiKey": "API_KEY",
    "apiSecret": "API_SECRET"
}
```

{% endtab %}

{% tab title="keysKuCoin.json" %}

```
{
    "apiKey": "API_KEY",
    "apiSecret": "API_SECRET",
    "passphrase": "PASSWORD for creating API Keys"
}
```

{% endtab %}

{% tab title="keysGateioV4.json" %}

```
{
    "apiKey": "API_KEY",
    "apiSecret": "API_SECRET"
}
```

{% endtab %}

{% tab title="keysHotbit.json" %}

```
{ 
"cookies": "_uab_collina=16442448545016053872; lang=en-US; _ga=GA
        1.2.4531653.164424860; islogin=true; cf_clearance=C8DCBn2
        _VKPMO5LXqwHjIhTYoradzQYJZcIWGfdw-16449814-0-150; hotbit
        =74ce2900f80bcfe03da42530aca00f5e; __cfruid=8a01377c9b0a26
        ac525831cb4192efcaac3-1644947814; __cf_bm=Tdr_wEGElB8rgWPM6To
        XkkawUodBS8TaRk77koUCp+tBwjB/jV/PxG5dMkuq7+TTFPt96Ai4xnAZZcrjl
        UoYJk+yUGoeCeJenVR6mcavOzsEfDxzWAVwptK+87Z55q0FLjERENvtUOCLKDy
        ZxZ4nyz/iX7+9L; _gid=GA1.2.33177582.16459362; _gat_gtag_125299
        7_1=1", 
"browser" : "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 
        (KHTML, like Gecko) Chrome/98.0.4758.82 Safari/537.36" 
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
With KuCoin, your password for the generation of the API Keys is also required. This is not your 6-digit trading password.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pump-bot.com/crypto-bot-general/keys-json.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
